get
/api/v1/projectsList Modeler projects
Lists projects owned by the Hub client UUID stored as companyId on the API key.
ProjectsBearer API keymodeler:projects:read
Schema details
Parameters
[
{
"in": "query",
"name": "page",
"schema": {
"default": 1,
"minimum": 1,
"type": "integer"
}
},
{
"in": "query",
"name": "per_page",
"schema": {
"default": 50,
"maximum": 100,
"minimum": 1,
"type": "integer"
}
}
]Responses
{
"200": {
"content": {
"application/json": {
"schema": {
"properties": {
"data": {
"items": {
"additionalProperties": false,
"properties": {
"building": {
"additionalProperties": false,
"properties": {
"columns": {
"minimum": 0,
"type": "integer"
},
"floor_type": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"outline_points": {
"minimum": 0,
"type": "integer"
},
"temperature": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"wall_height": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
}
},
"required": [
"outline_points",
"columns",
"wall_height",
"floor_type",
"temperature"
],
"type": "object"
},
"counts": {
"additionalProperties": false,
"properties": {
"automation_paths": {
"minimum": 0,
"type": "integer"
},
"docks": {
"minimum": 0,
"type": "integer"
},
"doors": {
"minimum": 0,
"type": "integer"
},
"equipment": {
"minimum": 0,
"type": "integer"
},
"floors": {
"minimum": 0,
"type": "integer"
},
"multi_level_systems": {
"minimum": 0,
"type": "integer"
},
"sub_buildings": {
"minimum": 0,
"type": "integer"
},
"zones": {
"minimum": 0,
"type": "integer"
}
},
"required": [
"floors",
"docks",
"doors",
"zones",
"equipment",
"automation_paths",
"multi_level_systems",
"sub_buildings"
],
"type": "object"
},
"has_underlay": {
"type": "boolean"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"revision": {
"anyOf": [
{
"minimum": 0,
"type": "integer"
},
{
"type": "null"
}
]
},
"updated_at": {
"anyOf": [
{
"format": "date-time",
"type": "string"
},
{
"type": "null"
}
]
},
"version": {
"minimum": 1,
"type": "integer"
}
},
"required": [
"id",
"name",
"version",
"revision",
"updated_at",
"building",
"counts",
"has_underlay"
],
"type": "object"
},
"type": "array"
},
"pagination": {
"additionalProperties": false,
"properties": {
"page": {
"minimum": 1,
"type": "integer"
},
"per_page": {
"maximum": 100,
"minimum": 1,
"type": "integer"
},
"total": {
"minimum": 0,
"type": "integer"
}
},
"required": [
"page",
"per_page",
"total"
],
"type": "object"
}
},
"required": [
"data",
"pagination"
],
"type": "object"
}
}
},
"description": "Success"
},
"401": {
"description": "Unauthorized - missing or invalid API key"
},
"403": {
"description": "Forbidden - missing required scope"
},
"429": {
"description": "Rate limit exceeded"
},
"500": {
"description": "Internal server error"
}
}